import Vue from 'vue'

/** XpxUI component common definition */
export declare class XUIComponent extends Vue {
  /** Install component into Vue */
  static install (vue: typeof Vue): void
}

/** Component size definition for button, input, etc */
export type XUIComponentSize = 'large' | 'medium' | 'small' | 'mini'

/** Horizontal alignment */
export type XUIHorizontalAlignment = 'left' | 'center' | 'right'
